Subject: re: fvwm20020401

From: Elliot Sowadsky <[email-masked]>
Date: Tue, 2 Apr 2002 11:45:08 -0800 (PST)

< > showstopper: hangs - and when hung, have seen app, fvwm or x-server being
< > the one using cpu.
< 
< < Um, so what is hanging?  If it's the application or the X server
< < I don't see a relation to fvwm.
< 
< The 3 times i saw it hang, logging in from outside,..
< 
< the 1st time, the app (Internet Explorer) was the cpu hog.
< Killing it stopped the hang.
< 
< The 2nd time, again related to IE, this time fvwm was the cpu hog.
< Killing IE didnt help.
< 
< The 3rd time,  was a different app (dont remember which),
< but this time X was the cpu hog.
< 
< There were window creation/dewtruction activities going on at the time of
< the hangs.
< 
< 
< > fvwm pager, which was heavily changed between fvwm20020326 and fvwm20020401
< > now has the top and left edges bordered by FvwmPagerColorset foreground.
< 
< The top and left inside edge of the pager borders display a line in
< "FvwmPagerColorset foreground" color....something i havent seen previous
< versions display. No biggie, just something i noticed. I have the color set
< to yellow, so it stands out.

How to reproduce...

Style * IconBox 176 -60 -60 -5
Style * MWMBorder
Style * DecorateTransient
Style * BorderWidth 5, HandleWidth 5, ResizeOpaque, StartsAnyWhere, StaysPut, UseIconPosition, NoIconTitle, ClickToFocus, MaxWindowSize 100 100
Style *  ClickToFocusRaisesOff  # , CleverPlacement
Style Fvwm*      NoTitle, Sticky, WindowListSkip
Style Iexplorer		IconOverride, IgnoreRestack, Icon map.xpm

*FvwmEventPassID
*FvwmEvent add_window add_event

AddToFunc add_event
+	I WindowID $0 ("*Iexplorer*") WindowID $0 ("!Internet Options") PipeRead `[ $[w.width] -lt 800 ] && echo NS_Close $0

AddToFunc NS_Close	I None ("Netscape: Preferences") None ("*Find") None ("File Download") WindowID $0 () Iconify_Close

AddToFunc Iconify_Close
+	I Iconify
+	I Close

In IE, go to http://weather.about.com/library/blcurrnt.htm?once=true&
Page creates spam popups which FvwmEvent closes.
You may have to use the weather links a few times to trigger a popup that will hang.
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]